Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040740
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Copy Retail Storemajoralways2019-05-02 10:412019-06-03 12:24
ReporterucarrionView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040740: Field not copied when using 'Copy Terminal' process

DescriptionHi,

the process is not working correctly also for 'Order Preparation No Prefix' field. See the screeshot below taken from livebuilds:

https://drive.google.com/file/d/1zeNUehBmpGAIa7cwP8F_1g8JgqSmpU5T/view?usp=sharing [^]
Steps To Reproduce+Enter Touchpoint window
+Select a Touchpoint and copy it
+Check that 'Order Preparation No Prefix' field is not correctly copied
Proposed SolutionThis field should take the new value entered (-2 in the screenshot, for example)
TagsNo tags attached.
Attached Filespatch file icon issue 40740 source posterminal.patch [^] (1,747 bytes) 2019-05-06 07:45 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040494 closedrqueralta Several fields not copied when using 'Copy Terminal' process 

-  Notes
(0111422)
ucarrion (developer)
2019-05-02 10:42

related to https://issues.openbravo.com/view.php?id=40494 [^]
(0111494)
hgbot (developer)
2019-05-06 10:53

Repository: erp/pmods/org.openbravo.retail.copystore
Changeset: 3c0a8c58d325a8e061c8e6960767aa3cbbe5064d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon May 06 14:22:50 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.copystore/rev/3c0a8c58d325a8e061c8e6960767aa3cbbe5064d [^]

Related to issue 40740 : Added Order preparation documentno prefix field to propertyhandler while copying terminal

---
M src/org/openbravo/retail/copystore/process/DefaultPropertiesHandler.java
---
(0112334)
ranjith_qualiantech_com (developer)
2019-06-03 10:52

While copying Terminal, if prefixno is empty, then new terminal prefixno should be empty else prefixno should be updated with new terminal searchKey
(0112335)
ranjith_qualiantech_com (developer)
2019-06-03 12:24

Reopened note https://issues.openbravo.com/view.php?id=40740#c112334 [^] will be fixed in https://issues.openbravo.com/view.php?id=40494 [^]

- Issue History
Date Modified Username Field Change
2019-05-02 10:41 ucarrion New Issue
2019-05-02 10:41 ucarrion Assigned To => Retail
2019-05-02 10:41 ucarrion Triggers an Emergency Pack => No
2019-05-02 10:42 ucarrion Note Added: 0111422
2019-05-02 12:10 adrianromero Relationship added related to 0040494
2019-05-04 12:58 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-05-06 07:17 ranjith_qualiantech_com Status new => scheduled
2019-05-06 07:45 ranjith_qualiantech_com File Added: issue 40740 source posterminal.patch
2019-05-06 10:53 hgbot Checkin
2019-05-06 10:53 hgbot Note Added: 0111494
2019-05-07 08:00 ranjith_qualiantech_com Status scheduled => resolved
2019-05-07 08:00 ranjith_qualiantech_com Resolution open => fixed
2019-05-07 18:31 marvintm Review Assigned To => marvintm
2019-05-07 18:31 marvintm Status resolved => closed
2019-05-07 18:31 marvintm Fixed in Version => RR19Q3
2019-06-03 10:52 ranjith_qualiantech_com Note Added: 0112334
2019-06-03 10:52 ranjith_qualiantech_com Status closed => new
2019-06-03 10:52 ranjith_qualiantech_com Resolution fixed => open
2019-06-03 10:52 ranjith_qualiantech_com Fixed in Version RR19Q3 =>
2019-06-03 11:17 ranjith_qualiantech_com Status new => scheduled
2019-06-03 12:24 ranjith_qualiantech_com Note Added: 0112335
2019-06-03 12:24 ranjith_qualiantech_com Status scheduled => resolved
2019-06-03 12:24 ranjith_qualiantech_com Resolution open => fixed
2019-06-03 12:24 ranjith_qualiantech_com Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker